﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.Storage;

namespace RichTextBoxDictionaries
{
    public sealed class ApplicationSettings
    {
        public static ApplicationSettings _localStorage = new ApplicationSettings();

        ApplicationDataContainer _localSettings;
        public ApplicationDataContainer LocalSettings
        {
            get
            {
                if (_localSettings == null)
                {
                    _localSettings = Windows.Storage.ApplicationData.Current.LocalSettings;
                }
                return _localSettings;
            }
            set
            {
                _localSettings = value;
            }
        }

        public ApplicationSettings()
        {
        }

        public static void SaveSetting(string settingId, object value)
        {
            if (!_localStorage.LocalSettings.Containers.ContainsKey("AppSettings"))
            {
                _localStorage.LocalSettings.CreateContainer("AppSettings", Windows.Storage.ApplicationDataCreateDisposition.Always);

            }

            if (_localStorage.LocalSettings.Containers.ContainsKey("AppSettings"))
            {
                if (_localStorage.LocalSettings.Containers["AppSettings"].Values.ContainsKey(settingId))
                    _localStorage.LocalSettings.Containers["AppSettings"].Values[settingId] = value;
                else
                    _localStorage.LocalSettings.Containers["AppSettings"].Values.Add(settingId, value);
            }
        }

        public static object LoadSetting(string settingId)
        {
            object item;
            if (_localStorage.LocalSettings.Containers.ContainsKey("AppSettings"))
            {
                if (_localStorage.LocalSettings.Containers["AppSettings"].Values.ContainsKey(settingId))
                    item = _localStorage.LocalSettings.Containers["AppSettings"].Values[settingId];
                else
                    item = null;
            }
            else
            {
                item = null;
            }
            return item;
        }

        #region settings helpers

        public static string MainDictionaryCode()
        {
            if (LoadSetting("MainDictionaryCode") != null)
            {
                return (string)LoadSetting("MainDictionaryCode");
            }
            else
                return "en-US";
        }

        #endregion
    }

}
