﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Settings Flyout item template is documented at http://go.microsoft.com/fwlink/?LinkId=273769

namespace RichTextBoxDictionaries
{
    public sealed partial class OptionsSettingFlyout : SettingsFlyout
    {
        public OptionsSettingFlyout()
        {
            this.InitializeComponent();
            languageCombo.ItemsSource = SpellCheckingUtil.AvailableDictionaries();
            LoadSettings();
        }

        private void LoadSettings()
        {
            // set main dictionary
            string mainDictionaryCode = ApplicationSettings.MainDictionaryCode();

            foreach (SpellingDictionary dictionary in languageCombo.Items)
            {
                if (dictionary.Code.Equals(mainDictionaryCode))
                {
                    languageCombo.SelectedItem = dictionary;
                }
            }

        }

        private void languageCombo_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            //if (((SpellingDictionary)languageCombo.SelectedItem).Code != "en-US")
            //{ 
            //    ApplicationSettings.SaveSetting("MainDictionaryCode", ((SpellingDictionary)languageCombo.SelectedItem).Code);
            //    SpellCheckingUtil.LoadMainDictionary();
            //}
            //else
            //{
                ApplicationSettings.SaveSetting("MainDictionaryCode", ((SpellingDictionary)languageCombo.SelectedItem).Code);
                SpellCheckingUtil.LoadMainDictionary();
            //}
        }
    }
}
